using NetinaCMS.Domain.Dtos.SmallDto;

namespace NetinaCMS.Domain.CommandQueries.Commands;

public record CreateBlogCommand(string Title, string Content, string Tags, int ReadingTime, string Summery, bool IsSuggested, List<StorageFileSDto> Files, Guid CategoryId) : IRequest<bool>;
public record UpdateBlogCommand(Guid Id, string Title, string Content, string Tags, int ReadingTime, string Summery, bool IsSuggested, List<StorageFileSDto> Files, Guid CategoryId) : IRequest<bool>;
public record DeleteBlogCommand(Guid Id) : IRequest<bool>;